### Class

# Camel GpgContext

#### Description

    class Camel.GpgContext : Camel.CipherContext
    {
      CamelGpgContextPrivate* priv
    }

No description available.

#### Hierarchy

#### Ancestors

- CamelCipherContext
- GObject

#### Constructors

###### camel_gpg_context_new

Creates a new gpg cipher context object.

#### Instance methods

###### camel_gpg_context_get_always_trust

No description available.

since: 2.32

###### camel_gpg_context_get_key_data_info_sync

Receives information about a key stored in `data` of size `data_size`.

since: 3.50

###### camel_gpg_context_get_locate_keys

Returns, whether gpg can locate keys using Web Key Directory (WKD) lookup when encrypting messages. The default is `TRUE`.

since: 3.46

###### camel_gpg_context_get_prefer_inline

No description available.

since: 3.20

###### camel_gpg_context_get_public_key_info_sync

Receives information about a key `keyid`.

since: 3.50

###### camel_gpg_context_get_public_key_sync

Returns a public key with `keyid`.

since: 3.50

###### camel_gpg_context_has_public_key_sync

Checks whether there exists a public key with `keyid`.

since: 3.50

###### camel_gpg_context_import_key_sync

Imports a (public) key provided in a binary form stored in the `data` of size `data_size`.

since: 3.50

###### camel_gpg_context_set_always_trust

Sets the `always_trust` flag on the gpg context which is used for encryption.

###### camel_gpg_context_set_key_trust_sync

Sets `trust` level on the key `keyid`.

since: 3.50

###### camel_gpg_context_set_locate_keys

Sets the `locate_keys` on the gpg context which is used to instruct gpg to locate keys using Web Key Directory (WKD) lookup when encrypting messages.

since: 3.46

###### camel_gpg_context_set_prefer_inline

Sets the `prefer_inline` flag on the gpg context.

since: 3.20

##### Methods inherited from CamelCipherContext (15)

###### camel_cipher_context_decrypt

Asynchronously decrypts `ipart` into `opart`.

since: 3.0

###### camel_cipher_context_decrypt_finish

Finishes the operation started with camel_cipher_context_decrypt().

since: 3.0

###### camel_cipher_context_decrypt_sync

Decrypts `ipart` into `opart`.

since: 3.0

###### camel_cipher_context_encrypt

Asynchronously encrypts the clear-text `ipart` and writes the resulting cipher-text to `opart`.

since: 3.0

###### camel_cipher_context_encrypt_finish

Finishes the operation started with camel_cipher_context_encrypt().

since: 3.0

###### camel_cipher_context_encrypt_sync

Encrypts the clear-text `ipart` and writes the resulting cipher-text to `opart`.

since: 3.0

###### camel_cipher_context_get_session

No description available.

since: 2.32

###### camel_cipher_context_hash_to_id

No description available.

###### camel_cipher_context_id_to_hash

No description available.

###### camel_cipher_context_sign

Asynchronously converts the (unsigned) part `ipart` into a new self-contained MIME part `opart`. This may be a multipart/signed part, or a simple part for enveloped types.

since: 3.0

###### camel_cipher_context_sign_finish

Finishes the operation started with camel_cipher_context_sign().

since: 3.0

###### camel_cipher_context_sign_sync

Converts the (unsigned) part `ipart` into a new self-contained MIME part `opart`. This may be a multipart/signed part, or a simple part for enveloped types.

since: 3.0

###### camel_cipher_context_verify

Asynchronously verifies the signature.

since: 3.0

###### camel_cipher_context_verify_finish

Finishes the operation started with camel_cipher_context_verify().

since: 3.0

###### camel_cipher_context_verify_sync

Verifies the signature.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Camel.GpgContext:always-trust

Always Trust.

###### Camel.GpgContext:locate-keys

Locate Keys.

###### Camel.GpgContext:prefer-inline

Prefer Inline.

##### Properties inherited from CamelCipherContext (1)

###### Camel.CipherContext:session

The corresponding `CamelSession`.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct CamelGpgContextClass {
      CamelCipherContextClass parent_class;
      gpointer reserved;

    }

No description available.

###### Class members

`parent_class: CamelCipherContextClass`

  No description available.

`reserved: gpointer`

  No description available.